.header-container {
  height: 52px;
  min-height: 52px;
  background: #394085;
  padding-left: 19px;
  padding-right: 15px;
}

.header-container .title-label {
  font-size: 16px;
  line-height: 20px;
  font-weight: bold;
}

.header-container .ic-trash {
  font-size: 18px;
  cursor: pointer;
}

.header-container .ic-close {
  font-size: 22px;
  margin-left: 20px;
  height: unset;
  width: unset;
  cursor: pointer;
}


.appt-ae-header-container {
  height: 40px;
  background: #D2C5F0;
  font-size: 14px;
  line-height: 44px;
  color: #000000;
  padding: 0 9px 0 16px;

  .expand-collapse-btn {
    mat-icon {
      color: #00AEEF;
    }
  }
}

.content-container {
  overflow: overlay;
}

.content-container-padding {
  padding: 0 20px 0 20px;
}

.search-patient kendo-autocomplete {
  position: absolute;
  border: none;
  box-shadow: none;
  margin-top: -7px;

  &.k-state-focused {
    box-shadow: none !important;
  }

  .k-clear-value {
    height: 100%;
  }
}

.add-edit-appt-form .mat-form-field-appearance-outline .mat-form-field-outline {
  color: #1c1b1b;
}

.ptt-select-form-field .mat-form-field-infix {
  max-height: 54px;
}

.ptt-select-form-field.mat-form-field-disabled .mat-form-field-outline {
  color: #979797;
}

.timepicker-mat-form-field .mat-form-field-infix {
  margin-right: 6px !important;
}

.start-time-wrapper .mat-form-field-wrapper,
.end-time-wrapper .mat-form-field-wrapper {
  padding-bottom: 0 !important;
}

.start-end-time-picker-wrapper {
  padding-bottom: 1.34375em !important;
}

.start-time-wrapper,
.end-time-wrapper {
  width: 153px;
  min-width: 153px;
}

.end-time-wrapper .mat-form-field-invalid {
  margin-bottom: 0 !important;
}

.end-time-wrapper {
  margin-left: 15px;
}

/* Service & Product CSS */
.service-product-container {

  .header {
    margin-bottom: 10px;

    .title span {
      color: #1c1b1b;
      font-size: 14px;
      line-height: 22px;
      letter-spacing: 0.15px;
    }

    a {
      font-size: 12px;
      line-height: 22px;
      letter-spacing: 0.15px;
      color: #00AEEF;
    }
  }
}

.appt-note-textarea {
  height: 91px;
}

.edit-sp-icon {
  color: #1c1b1b;
}

.edit-sp-icon.inactive {
  color: #979797;
}

/* Footer CSS */
.footer-container {
  height: 91px;
  min-height: 91px;
}

.save-btn, .cancel-btn {
  min-height: 42px;
  font-size: 14px !important;
}

.cancel-btn {
  width: 75px;
}

.save-btn {
  width: 75px;
  margin-left: 10px;
  font-size: 14px !important;
}

/* Popup Styles */
.dialog-title {
  font-family: Quicksand, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  line-height: 22px;
  color: #191E57;

  &.black {
    color: #000000;
  }
}

.btnheight {
  height: 52px;
}

.dialog-btn {
  min-width: 90px !important;
}

.da-dialog-cancel-btn {
  height: 52px;
  min-height: 52px;
  width: 75px;
}

.da-dialog-save-btn {
  height: 52px;
  min-height: 52px;
  width: 75px;
}

.ae-change-table {
  border: 1px solid #ABAAB0;
  border-radius: 5px !important;
  border-collapse: separate;
  border-spacing: 0;
  width: 100%;

  thead {
    tr {
      height: 33px;
    }

    th {
      font-size: 16px;
      line-height: 18px;
      text-align: center;
      color: #1c1b1b;
      background: #F3F3F3;
      border-bottom: 1px solid #ABAAB0;
    }

    th:first-child {
      border-radius: 5px 0 0 0;
    }

    th:last-child {
      border-radius: 0 5px 0 0;
    }

    th:not(:first-child) {
      border-left: 1px solid #ABAAB0;
    }
  }

  tbody {
    tr {
      height: 43px;

      td {
        text-align: center;
      }

      td:not(:first-child) {
        border-left: 1px solid #ABAAB0;
      }
    }

    .qty-duration-input:focus {
      outline: 0;
    }

    .qty-duration-input {
      width: 40px;
      height: 28px;
      text-align: center;
      color: #00AEEF;
      border-radius: 4px;
      border: 1px solid #D3D3D3;
    }

    .edit-qty-duration {
      font-size: 16px;
      line-height: 22px;
      text-align: center;
      letter-spacing: 0.15px;
      color: #00AEEF;
    }
  }
}

.patient-details-popup {
  .pd-cotainer {
    margin-top: 10px;
  }

  .pd-title {
    color: #1c1b1b;
    font-size: 16px;
    line-height: 16px;
    margin-bottom: 16px;

    &.red {
      color: #D41515 !important;
    }
  }

  .pd-label {
    width: 120px;
    min-width: 120px;
    font-size: 14px;
    line-height: 16px;
    color: #505050;

    &.red {
      color: #D41515 !important;
    }
  }

  .pd-value {
    font-size: 14px;
    line-height: 16px;
    color: #505050;
  }
}

.deletebutton:hover {
  background: #D41515 !important;
}

.deletebutton-wrapper {
  width: 90px;
  height: 42px;
}

.deletebutton {
  background: #D41515 !important;
  box-shadow: 0 2px #394085 !important;
  width: 90px;
  border: 1px solid #394085;
  padding: unset !important;
}


/* DATE AVAILABILITY DIALOG */
.date-availability-dialog .k-content {
  padding: 0;
}

.da-dialog-cancel-btn {
  height: 52px;
  min-height: 52px;
  width: 134px;
}

.da-dialog-save-btn {
  height: 52px;
  min-height: 52px;
  width: 145px;
}

.da-table-wrapper {
  border-top: 1px solid #dadada;
}

.date-dv-checkbox.mat-checkbox-disabled .mat-checkbox-inner-container .mat-checkbox-frame {
  background: #d8d8d8;
  border-color: #d8d8d8;
}

.date-dv-checkbox .mat-checkbox-layout {
  max-width: 24px;
}

.da-a-na-status {
  width: 90px;
  height: 38px;
  border-radius: 3px;
  border: none;
}

.da-a-na-status.available {
  background: #43A047;
}

.da-a-na-status.unavailable {
  background: #FF0000;
}

.da-list-header {
  height: 41px;
  position: fixed;
}

.da-list-container .da-list-cell {
  border: 1px solid #d8d8d8;
  border-top: none;
}

.da-list-body .da-list-row {
  height: 62px;
}

.da-list-body {
  margin-top: 41px;
}

.required-hint {
  font-size: 13px;
  color: #a6a6a6;
}
